﻿using System.Linq;

namespace avalonia_with_entity.Models
{
    public partial class Teacher
    {
        public string FIO { get => Surname + " " + Name + " " + Patronymic; }

        public string FullGender { get => "Пол: " + (Gender.Gender1 == "м" ? "мужской" : "женский"); }

        public string CusmoExpirience
        {
            get
            {
                int year = (int)Experience / 12;
                int month = (int)Experience % 12;
                int tempYear = year > 20 ? year % 10 : year;

                string res = "Стаж работы: ";

                if (year == 0 && month == 0)
                {
                    return res + "нет";
                }

                switch (tempYear)
                {
                    case 0:
                        break;
                    case 1:
                        res += year + " год ";
                        break;
                    case 2:
                    case < 5:
                        res += year + " года ";
                        break;
                    case 5:
                    case < 21:
                        res += year + " лет ";
                        break;

                }

                switch (month)
                {
                    case 0:
                        break;
                    case 1:
                        res += month + " месяц";
                        break;
                    case 2:
                    case < 5:
                        res += month + " месяца";
                        break;
                    case 5:
                    case < 13:
                        res += month + " месяцев";
                        break;
                }

                return res;
            }
        }

        public string CustomPhone { get => string.IsNullOrEmpty(Phone) ? "Телефон: -" : "Телефон: " + Phone; }

        public string CustomEmail { get => string.IsNullOrEmpty(Email) ? "Почта: -" : "Почта: " + Email; }

        public string CourseHours { get => "Курсы в общем объёме: " + TeacherCourses.Sum(x => x.CourseNavigation.Hour) + " часов"; }
    }
}
