using System;
using System.Collections.Generic;
using System.Linq;
using avalonia_with_entity.Models;
using Microsoft.EntityFrameworkCore;
using ReactiveUI;

namespace avalonia_with_entity.ViewModels
{
	public class ShowTeachersViewModel : ViewModelBase
	{
		public List<Teacher> Teachers => MainWindowViewModel.database.Teachers
			.Include(gen => gen.Gender)
			.Include(course => course.TeacherCourses)
            .ThenInclude(course => course.CourseNavigation)
            .Include(lesson => lesson.TeacherLessons)
			.ThenInclude(lesson => lesson.LessonNavigation)
            .ToList();

		
	}
}